Skip to main content
GET
/
api
/
search
/
use-cases
/
{use_case_id}
/
threads
/
{thread_id}
Fetch single thread
curl --request GET \
  --url https://api.example.com/api/search/use-cases/{use_case_id}/threads/{thread_id} \
  --header 'Authorization: Bearer <token>'
{
  "thread_id": "<string>",
  "chats": [
    {
      "id": "<string>",
      "use_case_id": "<string>",
      "thread_id": "<string>",
      "knowledge_asset_ids": [
        "<string>"
      ],
      "title": "<string>",
      "entries": [],
      "updated_at": "0001-01-01T00:00:00",
      "created_at": "0001-01-01T00:00:00",
      "targeted_web_search_urls": [
        "<string>"
      ],
      "extracted_urls": [
        "<string>"
      ]
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "title": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

use_case_id
string
required
thread_id
string
required

Query Parameters

include_entries
boolean
default:false

Response

Successful Response

Pydantic model for a thread in the response of the fetch threads endpoint.

thread_id
string
required
chats
KnowledgeAssetChat · object[]
required
updated_at
string<date-time>
required

Returns the latest updated_at from all chats in the thread, or datetime.min if no chats exist.

title
string | null
required

Returns the title of the thread, or None.